corda / net.corda.contracts.testing / WiredTransactionGenerator

# WiredTransactionGenerator

`class WiredTransactionGenerator : Generator<WireTransaction>`

### Constructors

<init> | `WiredTransactionGenerator()`

### Functions

generate | `fun generate(random: SourceOfRandomness, status: GenerationStatus): WireTransaction`

### Extension Functions

generateList | `fun <A> Generator<A>.generateList(random: SourceOfRandomness, status: GenerationStatus): List<A>` Generators for quickcheck